Bug 215764 - math/py-numpy: Remove dependency on math/openblas if other blas lib is selected
Summary: math/py-numpy: Remove dependency on math/openblas if other blas lib is selected
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Wen Heping
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-01-04 13:14 UTC by Thomas Zander
Modified: 2017-08-26 02:39 UTC (History)
6 users (show)

See Also:


Attachments
Patch to avoid unneccessary linking to openblas if netlib is selected (1.83 KB, text/plain)
2017-01-04 13:14 UTC, Thomas Zander
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander freebsd_committer 2017-01-04 13:14:48 UTC
Created attachment 178506 [details]
Patch to avoid unneccessary linking to openblas if netlib is selected

math/py-numpy allows for selection of BLAS implementation. However, even if NETLIB is selected, numpy links to openblas if it locates libopenblas on the build machine. This is unnecessary. Attached is a proposal to remove this dependency.
Comment 1 Thomas Zander freebsd_committer 2017-03-04 11:26:09 UTC
Come on guys, this is a tiny patch solving a big problem. Really should not take months to review and approve.
Comment 2 commit-hook freebsd_committer 2017-03-19 00:41:44 UTC
A commit references this bug:

Author: wen
Date: Sun Mar 19 00:41:08 UTC 2017
New revision: 436459
URL: https://svnweb.freebsd.org/changeset/ports/436459

Log:
  - Remove dependency on math/openblas if other blas lib is selected

  PR:		215764
  Submitted by:	riggs@

Changes:
  head/math/py-numpy/Makefile
  head/math/py-numpy/files/patch-numpy-distutils-system_info.py
Comment 3 John Hein 2017-08-25 16:22:56 UTC
Thomas, why did this change require the changes to system_info.py?

This change came up in discussion for a different bug - see comments starting with comment 21 in bug 220986.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-26 02:39:35 UTC
Assign to committer that resolved